const electron = require ('electron');
const {app, BrowserWindow, ipcMain} = electron;

app.on('ready', function() {
  var mainWindow = new BrowserWindow({
      width:800,
      height:600
  })
mainWindow.loadURL('file://' + __dirname + '/main.html')
mainWindow.openDevTools()

var prefsWindow = new BrowserWindow({
  width:400,
  height:400,
  show:false
})
prefsWindow.loadURL('file://' + __dirname + '/prefs.html')

ipcMain.on('show-prefs', function() {
  prefsWindow.show()
})

ipcMain.on('hide-prefs', function() {
  prefsWindow.hide()
})
})

